#!/usr/bin/env node

/**
 * Configuration file for apeman projects.
 * @see https://github.com/apeman-cmd-labo/apeman
 */

'use strict'

module.exports = {
  /** Project context */
  get $ctx () {
    return {}
  },
  /** Current working directory path */
  get $cwd () {
    return __dirname
  },
  /** Package data. */
  get $pkg () {
    return require('./package.json')
  },
  /** Prototype projects */
  get $proto () {
    return []
  },
  /**
   * apeman api configurations.
   * @see https://github.com/apeman-cmd-labo/apeman-api
   */
  get $api () {
    return {}
  }
}

if (!module.parent) {
  // Execute this file as apeman bin.
  require('apeman').cli(process.argv)
}
