/**
 * apeman CLI tool to initialize apeman project.
 * @module apeman-init
 * @version 3.1.4
 */
'use strict'

const apemanInit = require('./apeman_init')
const pkg = require('../package.json')

/**
 * @memberof module:apeman-init/lib
 * @function apemanInit
 * @param {object} [options] - Optional settings.
 * @param [options.force] - Force to init..
 * @param [options.dirname] - Directory name to init..
 * @param [options.silent] - Disable console logs.
 * @param [options.pkg] - Path of package.json.
 * @param {function} [callback] - Callback when done.
 */
let lib = apemanInit.bind(apemanInit)
lib.apemanInit = apemanInit
lib.version = pkg.version

module.exports = lib
