/**
 * Test case for apemanInit.
 * Runs with mocha.
 */
'use strict'

const apemanInit = require('../lib/apeman_init.js')
const co = require('co')
const assert = require('assert')

let tmpDir = `${__dirname}/../tmp`

describe('apeman-init', function () {
  it('Apeman demo command', () => co(function * () {
    let dest = tmpDir + '/foo/bar'
    yield apemanInit({
      dirname: dest,
      force: true,
      silent: false,
      pattern: [
        '*.*',
        '.gitignore'
      ]
    })
    yield apemanInit({
      dirname: dest,
      force: false
    }).catch((err) => {
      assert.ok(!!err, 'Duplicate errror.')
    })
  }))
})

/* global describe, it */
